---
# docker-compose file for prometheus metrics server

# docker login dkregistry.xai-corp.net:5000
# docker-compose build && docker push dkregistry.xai-corp.net:5000/xaicorp/prometheus:latest

# DOCKER_HOST=dkmanager:2376 docker stack deploy --prune --with-registry-auth -c docker-compose-prod.yml metrics
# DOCKER_HOST=dkmanager:2376 docker stack ps metrics

version: '3.4'
services:

  prometheus:
    build:
      context: .
      dockerfile: Dockerfile
      args:
        PROM_VERSION: ${PROM_VERSION}
#    volumes:
#      - ./prometheus.yml:/etc/prometheus/prometheus.yml
